<div class="details-container" *ngIf="game">
    <div class="details">
        <div class="game-banner">
            <img class="game-banner-img" src="{{ game.imageUrl }}" alt="background image" />
        </div>
        <div class="game-content">
            <div class="details-wrapper">
                <div class="game-header">
                    <h1 class="game-header-title">{{ game.title}}</h1>
                    <h2 class="game-header-release-date">
                        Available: {{ game.availableDate | date }}
                    </h2>
                    <p class="game-header-genres">
                        <span>{{ game.genre | titlecase }}</span>
                    </p>
                </div>
                <!-- Game Tabs -->
                <div class="game-tabs">
                    <mat-tab-group mat-align-tabs="start" backgroundColor="primary">
                        <mat-tab label="About">
                            <div class="game-tab-inner" fxLayout="column">
                                <div fxLayout="row" fxLayoutAlign="space-between center">
                                    <h2 class="mat-h2">{{game.title}}</h2>
                                    <button [disabled]="addedToUserFavorite" (click)="addToFavorite($event, game)"
                                        matTooltip="Add to Favorites" mat-raised-button color="primary"
                                        [ngClass]="this.checkFav() ? 'added-favorite-btn' : 'favorite-button'"
                                    >
                                        <ng-container *ngIf="!this.checkFav()" >+ Favorites </ng-container>
                                        <ng-container *ngIf="this.checkFav()">Added to Favourite </ng-container>
                                    </button>
                                </div>
                                <div class="game-platforms">
                                    <img matTooltip="Xbox" *ngIf="game.xbox" class="game-platform"
                                        src="assets/images/xbox.svg" alt="xbox" />
                                    <img *ngIf="game.pc" matTooltip="PC" class="game-platform"
                                        src="assets/images/pc.svg" alt="pc" />
                                </div>
                                <div class="game-genre" fxLayout="row" fxLayout="space-around">
                                    <h3 class="mat-h3" fxFlex="30">Genre</h3>
                                    <h4 class="mat-h4"><strong>{{game.genre | titlecase}}</strong></h4>
                                </div>
                                <div class="game-available-date" fxLayout="row" fxLayout="space-around">
                                    <h4 class="mat-h4" fxFlex="30">Available Since</h4>
                                    <h4 class="mat-h4"><strong>{{game.availableDate | date}}</strong></h4>
                                </div>
                                <div class="game-available-date" fxLayout="row" fxLayout="space-around">
                                    <h4 class="mat-h4" fxFlex="30">Available Until</h4>
                                    <h4 class="mat-h4"><strong>{{game.availableEnd | date}}</strong></h4>
                                </div>
                            </div>
                        </mat-tab>
                        <mat-tab label="Reviews">
                            <ng-container *ngFor="let review of reviews">
                                <div class="review-container">
                                    <div class="username">{{review.user.userName}}</div>
                                    <div class="reviewdiv" [innerHTML]="review.reviewRating"></div>
                                    <p class="review-body">{{review.reviewBody}}</p>
                                    <br>
                                </div>
                            </ng-container>
                        </mat-tab>
                        <mat-tab label="Submit Review">
                            <div class="submit-review-container" fxLayout="column" fxLayoutAlign="space-around center">
                                <h1 [innerHTML]="headingContents"></h1>
                                <form [formGroup]="reviewForm" class="review-form">
                                    <mat-form-field appearance="fill" class="rating-form-field">
                                        <div class="form-input">
                                            <mat-error *ngIf="reviewInvalid">
                                                Rating and review are reuired
                                            </mat-error>
                                            <mat-label>Star Rating</mat-label>
                                            <mat-select [(value)]="selected" name="rating" id="rating" matNativeControl
                                                required formControlName="rating">
                                                <mat-option>Make a selection</mat-option>
                                                <mat-option value="&#9733; &#9734; &#9734; &#9734; &#9734;">
                                                    &#9733; &#9734; &#9734; &#9734; &#9734;
                                                </mat-option>
                                                <mat-option value="&#9733; &#9733; &#9734; &#9734; &#9734;">
                                                    &#9733; &#9733; &#9734; &#9734; &#9734;
                                                </mat-option>
                                                <mat-option value="&#9733; &#9733; &#9733; &#9734; &#9734;">
                                                    &#9733; &#9733; &#9733; &#9734; &#9734;
                                                </mat-option>
                                                <mat-option value="&#9733; &#9733; &#9733; &#9733; &#9734;">
                                                    &#9733; &#9733; &#9733; &#9733; &#9734;
                                                </mat-option>
                                                <mat-option value="&#9733; &#9733; &#9733; &#9733; &#9733;">
                                                    &#9733; &#9733; &#9733; &#9733; &#9733;
                                                </mat-option>
                                            </mat-select>
                                            <mat-error *ngIf="reviewForm.hasError('required')">
                                                Rating is required
                                            </mat-error>
                                        </div>
                                    </mat-form-field>
                                    <br>
                                    <mat-form-field appearance="outline" class="review-form-field">
                                        <textarea matInput name="review" id="review" formControlName="review" required
                                            rows="5" cols="10" placeholder="Write a review...">
                                    </textarea>
                                    </mat-form-field>
                                    <mat-error *ngIf="reviewForm.hasError('required')">
                                        Review is required
                                    </mat-error>
                                    <br>
                                    <a mat-raised-button (click)="submit()" color="primary" class="submit-review">Submit
                                        Review</a>
                                </form>
                            </div>
                        </mat-tab>
                        <ng-container *ngIf="user Comments">
                            <mat-tab label="Personal Comments">
                                <!-- {{comments | json}} -->
                                <ng-container *ngFor="let comment of comments">
                                    <div class="comments-container">
                                        <p class="comments-body">{{comment.textbody}}</p>
                                        <br>
                                    </div>
                            </ng-container>
                            </mat-tab>
                            <mat-tab label="Submit Comments">
                                <div class="submit-comments-container" fxLayout="column" fxLayoutAlign="space-around center">
                                    <h1 [innerHTML]="commentHeadingContents"></h1>
                                    <form [formGroup]="commentsForm" class="comments-form">
                                        <mat-form-field appearance="outline" class="comments-form-field">
                                            <textarea matInput name="comments" id="comments" formControlName="comments" required
                                                cdkTextareaAutosize cdkAutosizeMinRows="10"  cdkAutosizeMaxRows="100"
                                                placeholder="Write comments...">
                                            </textarea>
                                        </mat-form-field>
                                        <mat-error *ngIf="commentsForm.hasError('required')">
                                            Comments are required
                                        </mat-error>
                                        <br>
                                        <a mat-raised-button (click)="submitComments()" color="primary" class="submit-comments">Submit Personal Comments</a>
                                    </form>
                                </div>
                            </mat-tab>
                        </ng-container>
                    </mat-tab-group>
                </div>
                <!-- Game tabs end -->
            </div>
        </div>
    </div>
</div>